BITE-GITHUB(1)

NAME
bite-github - GitHub service support

SYNOPSIS

bite github [<options>] <command> [<args>]
    Run a github subcommand.

bite github [-h|--help]
    Output help information.

DESCRIPTION

GitHub service support.

GLOBAL OPTIONS

-v, --verbose
    Increase logging verbosity.

    Verbosity levels in increasing order are error, warning, info, debug, and trace. The default level is warning causing errors and warnings to be shown. Each -v/--verbose option specified increases the level up to the maximum so bite -vv ... runs the given subcommand at the debug level.

        Warning

        Running at the trace level leaks authentication data as it outputs raw response structures including URLs which often include injected login parameters for authenticated sessions.

-q, --quiet
    Decrease logging verbosity.

-h, --help
    Print help output and exit.

SERVICE OPTIONS

-c, --connection <name>
    Define a service connection to use.

    This can either be a pre-configured connection name or a service URL.

-C, --concurrent <value>
    Maximum number of concurrent requests to a service.

    Certain types of actions such as searching can automatically send concurrent requests to support faster result paging. By default, concurrent requests are disabled.

--certificate <path>
    Add a custom root certificate.

    This can be used to connect to a server that has a self-signed certificate without having to use --insecure. Note that this requires a PEM encoded certificate file.

-I, --insecure
    Ignore invalid service certificates when connecting.

-P, --proxy <URL>
    Use a custom proxy.

-t, --timeout <seconds>
    Set the request timeout in seconds, defaults to 30.

SUBCOMMANDS

bite-github-get(1)
    get issues

SEE ALSO

bite(1)